## pisg 0.80~preview2

=== Makefile ===
# Bloated Makefile to make new releases of pisg

all: release

# Ugly hack to get the version number from Pisg.pm
VER = $(shell grep "version =>" modules/Pisg.pm | sed 's/[^"]*"\([^"]*\)".*/\1/')

# append date if SNAPSHOT is defined
ifeq ($(SNAPSHOT),)
	VERSION = $(VER)
else
	VERSION = $(VER)_$(shell date +%Y%m%d)
endif

DIRNAME = pisg-$(VERSION)

TARFILE = pisg-$(VERSION).tar.gz
ZIPFILE = pisg-$(VERSION).zip

FILES = pisg \
	 COPYING \
	 README \
	 pisg.cfg \
	 lang.txt

DOCS = docs/FORMATS \
	 docs/Changelog \
	 docs/CREDITS \
	 docs/pisg-doc.html \
	 docs/pisg-doc.txt \
	 docs/pisg-doc.xml \
	 docs/pisg.sgml \
	 docs/pisg.1 \

DEVDOCS = docs/dev/API

GFX = gfx/green-h.png \
	 gfx/green-v.png \
	 gfx/blue-h.png \
	 gfx/blue-v.png \
	 gfx/yellow-h.png \
	 gfx/yellow-v.png \
	 gfx/red-h.png \
	 gfx/red-v.png \

SCRIPTS = scripts/crontab \
	   scripts/dropegg.pl \
	   scripts/egg2mirc.awk \
	   scripts/eggdrop-pisg.tcl \
	   scripts/mirc2egg.sed \
	   scripts/sirc-timestamp.pl \
	   scripts/windows-ftp-upload.txt

ADDALIAS = scripts/addalias/addalias.pl \
	    scripts/addalias/README

PUM = scripts/pum/pum.pl \
	    scripts/pum/pum.conf

MODULESDIR = modules

MAIN_MODULE = $(MODULESDIR)/Pisg.pm

PISG_MODULES = $(MODULESDIR)/Pisg/Common.pm \
	       $(MODULESDIR)/Pisg/HTMLGenerator.pm

PARSER_MODULES = $(MODULESDIR)/Pisg/Parser/Logfile.pm

FORMAT_MODULES = $(MODULESDIR)/Pisg/Parser/Format/axur.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/bxlog.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/bobot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/blootbot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/dancer.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/dircproxy.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/DCpp.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/eggdrop.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/energymech.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/grufti.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/hydra.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/ircle.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/infobot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/IRCAP.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/irssi.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/ircII.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/javabot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/konversation.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/kvirc.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/lulubot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/oer.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/mbot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/miau.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/mIRC.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/mIRC6.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/mIRC6hack.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/mozbot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/muh.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/muh2.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/moobot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/perlbot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/pircbot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/psybnc.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/sirc.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/supy.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/virc98.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/Vision.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/Trillian.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/Template.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/RacBot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/rbot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/xchat.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/winbot.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/weechat.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/weechat3.pm \
		 $(MODULESDIR)/Pisg/Parser/Format/zcbot.pm \

docs:
	$(MAKE) -C docs VERSION=$(VERSION)

release: docs
	mkdir -p newrelease

	cat lang/readme.txt >> lang.txt
	cat lang/*.dat >> lang.txt

	mkdir $(DIRNAME)
	cp $(FILES) $(DIRNAME)

	mkdir $(DIRNAME)/scripts
	cp $(SCRIPTS) $(DIRNAME)/scripts

	mkdir $(DIRNAME)/gfx
	cp $(GFX) $(DIRNAME)/gfx

	mkdir $(DIRNAME)/docs
	cp -r $(DOCS) $(DIRNAME)/docs

	mkdir $(DIRNAME)/layout
	cp layout/*.css $(DIRNAME)/layout

	mkdir $(DIRNAME)/docs/dev
	cp $(DEVDOCS) $(DIRNAME)/docs/dev

	mkdir $(DIRNAME)/scripts/addalias
	cp $(ADDALIAS) $(DIRNAME)/scripts/addalias

	mkdir $(DIRNAME)/scripts/pum
	cp $(PUM) $(DIRNAME)/scripts/pum

	mkdir $(DIRNAME)/$(MODULESDIR)

	mkdir $(DIRNAME)/$(MODULESDIR)/Pisg
	mkdir $(DIRNAME)/$(MODULESDIR)/Pisg/Parser
	mkdir $(DIRNAME)/$(MODULESDIR)/Pisg/Parser/Format
	cp $(MAIN_MODULE) $(DIRNAME)/$(MODULESDIR)/
	cp $(PISG_MODULES) $(DIRNAME)/$(MODULESDIR)/Pisg/
	cp $(PARSER_MODULES) $(DIRNAME)/$(MODULESDIR)/Pisg/Parser
	cp $(FORMAT_MODULES) $(DIRNAME)/$(MODULESDIR)/Pisg/Parser/Format

	perl -i -pe 's/^(.*version => ")[^"]*(".*)/$${1}$(VERSION)$${2}/' $(DIRNAME)/$(MODULESDIR)/Pisg.pm

	tar zcfv newrelease/$(TARFILE) $(DIRNAME)
	zip -r pisg $(DIRNAME)
	mv pisg.zip newrelease/$(ZIPFILE)
	mv $(DIRNAME) newrelease

clean:
	cd docs && make clean
	rm -f lang.txt
	rm -rf newrelease/$(TARFILE)
	rm -rf newrelease/$(ZIPFILE)
	rm -rf newrelease/$(DIRNAME)
	rm -rf $(DIRNAME)

distclean: clean
	rm -rf newrelease/

.PHONY: all release docs clean distclean

=== docs/Makefile ===
TARGETS := pisg-doc.txt pisg-doc.html pisg-faq.html pisg-formats.html pisg.1
VERSION := $(shell grep "version =>" ../modules/Pisg.pm | sed 's/[^"]*"\([^"]*\)+CVS".*/\1/')

all: $(TARGETS)

pisg-doc.xml: .version
.version: ../modules/Pisg.pm
	perl -i -pe 's/(<title>pisg ).*(documentation<\/title>)/$${1}$(VERSION) $${2}/' pisg-doc.xml
	touch .version

pisg-doc.txt: pisg-doc.xml
	docbook2txt pisg-doc.xml
	mv pisg-doc.txt pisg-tmp.txt
	cat pisg-tmp.txt | ./modifytxt.pl > pisg-doc.txt
	rm -f pisg-tmp.txt

pisg-doc.html: pisg-doc.xml
	docbook2html pisg-doc.xml -V "%use-id-as-filename%" -V nochunks

pisg-faq.html: pisg-faq.txt
	a2x -f xhtml pisg-faq.txt

pisg-formats.html: FORMATS
	a2x -f xhtml FORMATS
	mv FORMATS.html pisg-formats.html

pisg.1: pisg.sgml
	docbook2man $< > $@

clean:
	rm -f $(TARGETS) .version

.PHONY: all clean

# vim:noexpandtab:

=== debian/changelog ===
pisg (0.80~preview2-1) unstable; urgency=medium

  * New upstream version 0.80~preview2.
  * Adopt package, thanks Julien! (Closes: #928534)
  * Add github watch file.
  * DH 13, dh, source format 3.0, bump S-V. (Closes: #965779)
  * Add autopkgtest.

 -- Christoph Berg <myon@debian.org>  Tue, 14 Dec 2021 23:07:25 +0100

pisg (0.73-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 01:09:53 +0100

pisg (0.73-1) unstable; urgency=low

  * New upstream release
  * Bump standards version
  * Fix license file reference in copyright file

 -- Julien Danjou <acid@debian.org>  Thu, 25 Apr 2013 22:51:47 +0200

pisg (0.72-1) unstable; urgency=low

  * New upstream release
    + Fix -ne option in manpage (Closes: #430946)
  * Switch to debhelper 5
  * Bump standard version
  * Fix binary-arch-rules-but-pkg-is-arch-indep
  * Fix copyright

 -- Julien Danjou <acid@debian.org>  Sat, 12 Apr 2008 14:28:11 +0200

pisg (0.71-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 15 Feb 2007 15:18:32 +0100

pisg (0.70-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 17 Sep 2006 16:28:05 +0200

pisg (0.68-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Mon, 13 Mar 2006 17:41:49 +0100

pisg (0.67-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 25 Aug 2005 19:16:10 +0200

pisg (0.66-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 12 May 2005 18:26:00 +0200

pisg (0.65-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Fri, 15 Apr 2005 10:30:50 +0200

pisg (0.64-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 24 Feb 2005 10:52:49 +0100

pisg (0.63-2) unstable; urgency=low

  * Add HTML documentation (Closes: #282930) 

 -- Julien Danjou <acid@debian.org>  Sat, 15 Jan 2005 13:02:38 +0100

pisg (0.63-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Wed, 12 Jan 2005 17:10:08 +0100

pisg (0.62-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 12 Dec 2004 17:45:56 +0100

pisg (0.61-1) unstable; urgency=low

  * New upstream release
  * Use new upstream manpage

 -- Julien Danjou <acid@debian.org>  Sun, 31 Oct 2004 13:22:24 +0100

pisg (0.60-1) unstable; urgency=low

  * New upstream release
  * Add "Suggests: libtext-iconv-perl" (Closes: #276191)

 -- Julien Danjou <acid@debian.org>  Wed, 20 Oct 2004 00:13:04 +0200

pisg (0.59-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun,  3 Oct 2004 22:34:01 +0200

pisg (0.58-2) unstable; urgency=low

  * Fix a typo in manpage 

 -- Julien Danjou <acid@debian.org>  Wed, 22 Sep 2004 11:18:54 +0200

pisg (0.58-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 11 Sep 2004 12:19:26 +0200

pisg (0.57-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 28 Aug 2004 09:47:51 +0200

pisg (0.56-1) unstable; urgency=low

  * New upstream release
  * Fix Dutch translation (Closes: #255654) 

 -- Julien Danjou <acid@debian.org>  Sat, 26 Jun 2004 20:39:28 +0200

pisg (0.55-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat,  5 Jun 2004 20:50:34 +0200

pisg (0.54-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Wed,  5 May 2004 17:54:23 +0200

pisg (0.52-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 21 Feb 2004 23:03:23 +0100

pisg (0.51-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 22 Jan 2004 11:40:16 +0100

pisg (0.50-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sun,  7 Dec 2003 17:08:00 +0100

pisg (0.49-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat, 20 Sep 2003 18:48:45 +0200

pisg (0.48-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Wed, 30 Apr 2003 13:28:15 +0200

pisg (0.47-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Sat,  1 Mar 2003 00:00:54 +0100

pisg (0.46-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Thu, 20 Feb 2003 21:18:40 +0100

pisg (0.44-1) unstable; urgency=low

  * New upstream release (Closes: #174577) 

 -- Julien Danjou <acid@debian.org>  Tue, 31 Dec 2002 18:29:59 +0100

pisg (0.43-1) unstable; urgency=low

  * New upstream release (Closes: #170631)

 -- Julien Danjou <acid@debian.org>  Mon, 25 Nov 2002 14:52:36 +0100

pisg (0.42-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 18 Nov 2002 23:31:17 +0100

pisg (0.41-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Tue, 13 Aug 2002 19:19:03 +0200

pisg (0.40-1) unstable; urgency=low

  * New upstream release 

 -- Julien Danjou <acid@debian.org>  Fri,  5 Jul 2002 05:47:47 +0200

pisg (0.39-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 19 May 2002 16:23:30 +0200

pisg (0.38-2) unstable; urgency=low

  * No docbook-to-man at each build (Closes: #146597)

 -- Julien Danjou <acid@debian.org>  Sun, 12 May 2002 19:48:12 +0200

pisg (0.38-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sun, 28 Apr 2002 22:35:17 +0200

pisg (0.37-1) unstable; urgency=low

  * Initial Release. (Closes: #143840)

 -- Julien Danjou <acid@debian.org>  Mon, 22 Apr 2002 19:11:30 +0200

=== debian/control ===
Source: pisg
Section: net
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 asciidoc,
 debhelper-compat (= 13),
 docbook-utils,
 docbook-xml,
 zip,
Build-Depends-Indep:
 perl (>= 5.6),
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/pisg.git
Vcs-Browser: https://salsa.debian.org/debian/pisg
Homepage: https://pisg.github.io/

Package: pisg
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Suggests:
 libtext-iconv-perl,
Description: Perl IRC Statistics Generator
 A Perl script which takes IRC logfiles and turns them into nice looking
 stats, which can be amusing to show to the users of your channel.

=== debian/rules ===
#!/usr/bin/make -f

DATADIR="/usr/share/pisg"

%:
	dh $@

execute_after_dh_auto_build:
	docbook2man docs/pisg.sgml --output docs
	mv -f docs/PISG.1 docs/pisg.1

execute_after_dh_install:
	perl -pi \
		-e "s[(langfile =>) '.*',][\$$1 => '$(DATADIR)/lang.txt',];" \
		-e "s[(cssdir =>) '.*',][\$$1 => '$(DATADIR)/layout/',]" \
		debian/pisg/usr/share/perl5/Pisg.pm

=== debian/watch ===
version=4
opts=uversionmangle=s/-/~/ \
https://github.com/PISG/pisg/tags .*/(.*).tar.gz
